package com.example.testdemo.ros;


public class Publisher {

	protected String topic;
	protected String msgType;
	protected int rosBridge;


	public Publisher(String topic, String msgType, int rosBridge){
		this.topic = topic;
		this.msgType = msgType;
		this.rosBridge = rosBridge;

		//this.rosBridge.advertise(this.topic, this.msgType);

	}


	public Publisher(String topic, String msgType, int rosBridge, boolean advertiseNow){
		this.topic = topic;
		this.msgType = msgType;
		this.rosBridge = rosBridge;

		if(advertiseNow) {
			//this.rosBridge.advertise(this.topic, this.msgType);
		}

	}



	public String getTopic() {
		return topic;
	}


	/**
	 * Returns the ROS message type of the topic to which this object publishes.
	 * @return the ROS message type of the topic to which this object publishes.
	 */
	public String getMsgType() {
		return msgType;
	}


	/**
	 * Returns the {@link ros.RosBridge} object that manages the connection to the ROS Bridge server.
	 * @return the {@link ros.RosBridge} object that manages the connection to the ROS Bridge server.
	 */


	/**
	 * Unadvertises that you are publishing to the topic.
	 */
}
